Skip to content

By Тодор in FreeBSD

1. отиваме в /usr/ports/net/boinc-client/
2. отваряме Makefile в текстов редактор
3. променяме
CONFIGURE_ARGS=--disable-server
както следва:
За 32 битов FreeBSD променяме на:
CONFIGURE_ARGS=--disable-server --with-boinc-platform=i686-pc-freebsd --with-boinc-alt-platform=i686-pc-linux-gnu
За 64 битов FreeBSD променяме на:
CONFIGURE_ARGS=--disable-server --with-boinc-platform=x86_64-pc-freebsd --with-boinc-alt-platform=i686-pc-linux-gnu
4. make install clean
5. при грешки от рода на “ELF 0 ….”, проверете дали са инсталирани тези:
/usr/ports/emulators/linux_base-fc4 или по-висока версия

# sysctl kern.elf32.fallback_brand=3

Може би ще има грешки с емулацията на линукс, ако в момента се емулира ядро 2.4, тогава:

# sysctl compat.linux.osrelease=2.6.16

И се инсталира нов линукс емулатор – фc6 примерно.

Приятно смятане!

Tags: , , , ,

Comment Feed

No Responses (yet)



Some HTML is OK

or, reply to this post via trackback.